*    :

*cAlias -   ,  
*cFileName -  .     GetFile
*cSheetName -     
*cFieldNames -  ,       

FUNCTION ExportToExcel &&     Excel
LPARAMETERS cAlias, cFileName, cSheetName, cFieldNames
SELECT &cAlias && 
EXPORT TO &cFileName TYPE XL5 &&   Excel,      , :
	oleXLObject = CREATEOBJECT('Excel.application') &&  Excel.Application
	oleXLApp = oleXLObject.APPLICATION &&  
	oleCurrentWorkBook = oleXLApp.WorkBooks.OPEN (cFileName) && CurrentWorkBook   
	oleCurrentWorkBook.ActiveSheet.NAME = cSheetName &&  
	oleCurrentWorkBook.ActiveSheet.Cells.FONT.NAME = 'Arial Cyr' &&   Cells
	nStartPos = 1
	nCycles = OCCURS (',',cFieldNames) &&    
	FOR i = 1 TO nCycles + 1 && 
		nEndPos = AT(',', cFieldNames, i)
		cString = IIF(i <= nCycles, SUBSTR (cFieldNames, nStartPos, nEndPos - nStartPos), SUBSTR (cFieldNames, nStartPos))
		oleCurrentWorkBook.ActiveSheet.Cells (1, i).VALUE = cString &&  
		nStartPos = nEndPos + 1
	ENDFOR
	oleXLApp.ROWS("1:1").SELECT &&   -    
	oleXLApp.SELECTION.HorizontalAlignment = 3 &&  -  
	oleXLApp.SELECTION.FONT.Bold = .T. && 
	oleCurrentWorkBook.ActiveSheet.Cells.SELECT &&  
	oleCurrentWorkBook.ActiveSheet.Cells.EntireColumn.AutoFit &&     
	oleXLApp.RANGE("A1").SELECT &&  
	oleCurrentWorkBook.SAVE && 
	oleXLApp.QUIT &&   Excel
ENDFUNC